Package org.eclipse.microprofile.rest.client.tck.cditests

# Class HasConversationScopeTest

java.lang.Object
org.jboss.arquillian.testng.Arquillian
org.eclipse.microprofile.rest.client.tck.cditests.HasConversationScopeTest

All Implemented Interfaces:
  `org.testng.IHookable`, `org.testng.ITestNGListener`

public class HasConversationScopeTest extends org.jboss.arquillian.testng.Arquillian
This test verifies that you can configure a bean of ConversationScoped, as well as have the scope on an interface.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static interface`
`HasConversationScopeTest.MyConversationScopedApi`

## Nested classes/interfaces inherited from class org.jboss.arquillian.testng.Arquillian

`org.jboss.arquillian.testng.Arquillian.UpdateResultListener`

## Field Summary

### Fields inherited from class org.jboss.arquillian.testng.Arquillian

`ARQUILLIAN_DATA_PROVIDER`

## Constructor Summary

Constructors
Constructor
Description
`HasConversationScopeTest()`

## Method Summary

Modifier and Type
Method
Description
`static org.jboss.shrinkwrap.api.spec.WebArchive`
`createDeployment()`
`void`
`testHasConversationScoped()`
`void`
`testHasConversationScopedFromConfigKey()`
`void`
`testHasConversationScopedWhenAnnotated()`

### Methods inherited from class org.jboss.arquillian.testng.Arquillian

`arquillianAfterClass, arquillianAfterSuite, arquillianAfterTest, arquillianArgumentProvider, arquillianBeforeClass, arquillianBeforeSuite, arquillianBeforeTest, run`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### HasConversationScopeTest

public HasConversationScopeTest()

## Method Details

### createDeployment

@Deployment public static org.jboss.shrinkwrap.api.spec.WebArchive createDeployment()

### testHasConversationScoped

public void testHasConversationScoped()

### testHasConversationScopedFromConfigKey

public void testHasConversationScopedFromConfigKey()

### testHasConversationScopedWhenAnnotated

public void testHasConversationScopedWhenAnnotated()